Checks if class constant is protected

- « ReflectionClassConstant::isPrivate

- ReflectionClassConstant::isPublic »

- PHP Manual
- ReflectionClassConstant
- Checks if class constant is protected

# ReflectionClassConstant::isProtected

(PHP 7 >= 7.1.0, PHP 8)

ReflectionClassConstant::isProtected — Checks if class constant is protected

### Description

public ReflectionClassConstant::isProtected(): bool

Checks if the class constant is protected.

### Parameters

This function has no parameters.

### Return Values

`true` if the class constant is protected, otherwise `false`

### See Also

- ReflectionClassConstant::isFinal() - Checks if class constant is final
- ReflectionClassConstant::isPublic() - Checks if class constant is public
- ReflectionClassConstant::isPrivate() - Checks if class constant is private